package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvUspPfPara;
import com.ruoyi.predict.mapper.PvUspPfParaMapper;
import com.ruoyi.predict.service.IPvUspPfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvUspPfParaService业务层处理
 *
 * @author hlf
 * @date 2022-07-13
 */
@Service
public class PvUspPfParaServiceImpl implements IPvUspPfParaService {
    @Autowired(required = false)
    private PvUspPfParaMapper pvUspPfParaMapper;

    /**
     * 查询PvUspPfPara
     *
     * @param pvNo PvUspPfParaID
     * @return PvUspPfPara
     */
    @Override
    public PvUspPfPara selectPvUspPfParaById(Long pvNo, Long modelNo) {
        return pvUspPfParaMapper.selectPvUspPfParaById(pvNo, modelNo);
    }

    /**
     * 查询PvUspPfPara列表
     *
     * @param pvUspPfPara PvUspPfPara
     * @return PvUspPfPara
     */
    @Override
    public List<PvUspPfPara> selectPvUspPfParaList(PvUspPfPara pvUspPfPara) {
        return pvUspPfParaMapper.selectPvUspPfParaList(pvUspPfPara);
    }

    /**
     * 新增PvUspPfPara
     *
     * @param pvUspPfPara PvUspPfPara
     * @return 结果
     */
    @Override
    public int insertPvUspPfPara(PvUspPfPara pvUspPfPara) {
        return pvUspPfParaMapper.insertPvUspPfPara(pvUspPfPara);
    }

    /**
     * 修改PvUspPfPara
     *
     * @param pvUspPfPara PvUspPfPara
     * @return 结果
     */
    @Override
    public int updatePvUspPfPara(PvUspPfPara pvUspPfPara) {
        return pvUspPfParaMapper.updatePvUspPfPara(pvUspPfPara);
    }

    /**
     * 删除PvUspPfPara信息
     *
     * @param pvNo PvUspPfParaID
     * @return 结果
     */
    @Override
    public int deletePvUspPfParaById(Long pvNo, Long modelNo) {
        return pvUspPfParaMapper.deletePvUspPfParaById(pvNo, modelNo);
    }
}
